The `anamo` gem provides a beacon that collects system telemetry for a client and delivers it to Anamo for analysis.

This gem requires **Ruby 2.2+** and is compatible with **RPM-based** and **Debian-based** systems.

## Requirements

The Anamo beacon has the following requirements:

* RPM-based or Debian-based System
* Ruby 2.2+
* Bundler

For full effectiveness, `netstat` or `nmap` should be installed.

## Setup

To setup the beacon, run the following:

```
anamo setup
```

The output should be:
```
[root@localhost bin]# anamo setup
The Anamo configuration setup tool will walk you through the process
of defining your configuration for:

    /etc/anamo.conf.yml

What is your Anamo API key?
 [User Note: input your company's API Key here, which you may find at: https://app.anamo.io/settings/licenses/api-keys]

Your configuration file:

---
api_key: [User-supplied API key]

Would you like to save this file now? ("y" to save) y
Configurated saved at: /etc/anamo.conf.yml
```

Upon completion, a configuration file will be written to `/etc/anamo.conf.yml`.

For provisioned systems, one may also directly write `/etc/anamo.conf.yml`, minimally with:

```
---
api_key: YOUR_API_KEY
```

A valid API key is required in order to send data to `app.anamo.io`.

## Usage

To start the Anamo beacon:

```
# anamo start
```

To check the status of the Anamo beacon:

```
# anamo status
```

To stop the Anamo beacon:

```
# anamo stop
```

A full set of options:

```
Usage: anamo <command> <options> -- <application options>

* where <command> is one of:
  start         start an instance of the application
  stop          stop all instances of the application
  restart       stop all instances and restart them afterwards
  reload        send a SIGHUP to all instances of the application
  run           start the application and stay on top
  zap           set the application to a stopped state
  status        show status (PID) of application instances

* and where <options> may contain several of the following:

    -t, --ontop                      Stay on top (does not daemonize)
    -s, --shush                      Silent mode (no output to the terminal)
    -f, --force                      Force operation
    -n, --no_wait                    Do not wait for processes to stop

Common options:
    -h, --help                       Show this message
        --version                    Show version
```
